'use strict';

if (document.getElementById('lieferTabelle')) {
	request({
		type:"GET",
		url: "/sven/api/stockDeliveries"
	}, function (data) {
  		data.data = data.data.DATA;
  		if(data.data.length == 0) return;
  		var str = "";
  		var id = 1;
  		/*
  		* Erstellt einen String der die Tabelle beinhaltet
  		*/
  		str +='<table>';
  		str +='<thead>';
  		str +='<tr>';
  		str +='<th>Bestellung</th>';
  		str +='<th>Produktname</th>';
  		str +='<th>Bestellte Menge</th>';
  		str +='<th>Ankunftsdatum</th>'
  		str +='</tr>';
  		str +='</thead>';
  		str +='<tbody>';
  		data.data.forEach(function(elem) {       //Durchläuft das Array als Schleife
  			str +='<tr>';
  			str +='<td>'+elem.ID+'</td>';
  			str +='<td>'+elem.Name+'</td>';
  			str +='<td>'+elem.Menge+'</td>';
  			str +='<td>'+elem.Ankunftsdatum+'</td>';
  			str +='</tr>';
  		});
  		str +='</tbody>';
  		str +='</table>';
  		$('#lieferTabelle').html(str);

  	 }, function (data) {
  		   console.log(data);
  		   console.log('Error Lieferungen');
  	    });
};
